#!/bin/bash
CATEGORY=$1
rm ./thelistall.txt
rm ./thename.txt
rm ./thedesc.txt

grep -A8 LOCATION.*.xap.${CATEGORY} /home/ftp/pub/veclinux/packages/package_data >> thelistall.txt
grep -A1 'PACKAGE.DESCRIPTION' thelistall.txt | grep -v 'PACKAGE.DESCRIPTION' >> thedesc.txt
sed -i '/--/d' ./thedesc.txt

Number=`cat ./thedesc.txt | wc -l`
###Read Application names and put them into an array.
v=0
while read name

do 
staff[$v]=`echo $name | cut -d: -f1,2 `
v=`expr $v + 1`
done < "./thedesc.txt"
echo "Array items:"


###Offer list of package names so they can select.
found=$(yad --title="Gaming Applications ... Available $Number" --text="Double-Click or select the OK to install. Cancel will exit." --image=/usr/share/pixmaps/vlquickpicks.png --width=500 --height=600  \
--list \
--column="Found":TEXT "${staff[@]}")
selected=`echo $found | sed 's/PACKAGE NAME: //g' | sed 's/|//g'`

if [ "$found" = "" ]; then 
rm ./thelistall.txt
rm ./thename.txt
rm ./thedesc.txt
exit
fi

NAME=`echo $found | cut -d: -f1 `

condition="notfound"
result=`slapt-get --search $NAME`

if echo $result | grep inst\=no 
   then condition="not"
fi
if echo $result | grep inst\=yes 
   then condition="installed"
fi


if [ $condition = "installed" ]; 
      then zenity --info --text "Application Selected is already installed.";
fi

if [ $condition = "not" ];
     then vsuper slapt-get --no-prompt --install $NAME | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
     grep $NAME /home/ftp/pub/veclinux/packages/package_data | zenity --text-info --width 600  --height 380
     result=`slapt-get --search $NAME`
		if echo $result | grep inst\=no 
		then zenity --info --text "Application did not install. Please check internet connection. If connection is good then please report problem on the forum.";
		fi
		if echo $result | grep inst\=yes 
		then zenity --info --text "Application installed.";
		else zenity --info --text "Something has gone wrong. Please attemp installing the application with gslapt from the system menu.";
		fi

fi
sh /usr/bin/vlquickpick.sh $CATEGORY 



